Schedule Futures Sweep
curl --request POST \
--url https://api.coinbase.com/api/v3/brokerage/cfm/sweeps/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"usd_amount": "<string>"
}
'import requests
url = "https://api.coinbase.com/api/v3/brokerage/cfm/sweeps/schedule"
payload = { "usd_amount": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({usd_amount: '<string>'})
};
fetch('https://api.coinbase.com/api/v3/brokerage/cfm/sweeps/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>",
"code": 123,
"message": "<string>",
"details": [
{
"type_url": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}US Derivatives
Schedule US Derivatives Sweep
Schedules a sweep of funds from FCM wallet to USD Spot wallet
POST
/
api
/
v3
/
brokerage
/
cfm
/
sweeps
/
schedule
Schedule Futures Sweep
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.
Body
application/json
The amount of USD to be swept. By default, sweeps all available excess funds.
Response
A successful response.
Was this page helpful?
⌘I